Summary: useradd & friends for non-shadow systems
Name: useradd-ns
Version: 960530
Release: 2
Source: ftp://ftp.ists.pwr.wroc.pl/pub/linux/shadow/dontuse/shadow-960530.tar.gz
Copyright: Free
Group: Utilities/System
Patch0: shadow-960530-all.patch
Patch1: shadow-960530-glibc.patch
Patch2: useradd-ns-960530.patch
BuildRoot: /tmp/useradd-ns

%description
This package includes programs useradd/usermod/userdel to manipulate user
accounts, and groupadd/groupmod/groupdel/gpasswd to manipulate groups.
Compiled for NON-shadow password systems only.

%prep
# This is just a few of the core utilities from the shadow suite...
# packaged up for use w/PAM
%setup -n shadow-960530
%patch -p1

%ifarch axp
%patch1 -p1
%endif

%patch2 -p1

%build
find . -name "*.orig" | xargs rm -fv
make maintainer-clean
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
(cd libmisc; make libmisc.a)
(cd lib; make libshadow.a)
(cd src; make useradd usermod userdel groupadd groupmod groupdel gpasswd)

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/etc
for I in 1; do
	mkdir -p $RPM_BUILD_ROOT/usr/man/man$I
done
install -m 0644 man/useradd.1 $RPM_BUILD_ROOT/usr/man/man1/useradd.1
install -m 0644 man/usermod.1 $RPM_BUILD_ROOT/usr/man/man1/usermod.1
install -m 0644 man/userdel.1 $RPM_BUILD_ROOT/usr/man/man1/userdel.1
install -m 0644 man/groupadd.1 $RPM_BUILD_ROOT/usr/man/man1/groupadd.1
install -m 0644 man/groupmod.1 $RPM_BUILD_ROOT/usr/man/man1/groupmod.1
install -m 0644 man/groupdel.1 $RPM_BUILD_ROOT/usr/man/man1/groupdel.1
install -m 0644 man/gpasswd.1 $RPM_BUILD_ROOT/usr/man/man1/gpasswd.1
install -s -m 0755 src/useradd $RPM_BUILD_ROOT/usr/sbin/useradd
install -s -m 0755 src/usermod $RPM_BUILD_ROOT/usr/sbin/usermod
install -s -m 0755 src/userdel $RPM_BUILD_ROOT/usr/sbin/userdel
install -s -m 0755 src/groupadd $RPM_BUILD_ROOT/usr/sbin/groupadd
install -s -m 0755 src/groupmod $RPM_BUILD_ROOT/usr/sbin/groupmod
install -s -m 0755 src/groupdel $RPM_BUILD_ROOT/usr/sbin/groupdel
install -s -m 0755 src/gpasswd $RPM_BUILD_ROOT/usr/sbin/gpasswd

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/useradd
/usr/sbin/usermod
/usr/sbin/userdel
/usr/sbin/groupadd
/usr/sbin/groupmod
/usr/sbin/groupdel
/usr/sbin/gpasswd
/usr/man/man1/useradd.1
/usr/man/man1/usermod.1
/usr/man/man1/userdel.1
/usr/man/man1/groupadd.1
/usr/man/man1/groupmod.1
/usr/man/man1/groupdel.1
/usr/man/man1/gpasswd.1
